## r-cran-fracdiff 1.5

=== DESCRIPTION ===
Package: fracdiff
Version: 1.5-1
VersionNote: Released 1.4-2 on 2012-12-01, 1.5-0 on 2019-12-09
Date: 2020-01-20
Title: Fractionally Differenced ARIMA aka ARFIMA(P,d,q) Models
Authors@R: c(person("Martin","Maechler", role=c("aut","cre"), email="maechler@stat.math.ethz.ch",
	   				 comment = c(ORCID = "0000-0002-8685-9910"))
 , person("Chris", "Fraley", role=c("ctb","cph"), comment = "S original; Fortran code")
 , person("Friedrich", "Leisch", role = "ctb",
                            comment = c("R port", ORCID = "0000-0001-7278-1983"))
 , person("Valderio", "Reisen", role="ctb", comment = "fdGPH() & fdSperio()")
 , person("Artur",  "Lemonte",  role="ctb", comment = "fdGPH() & fdSperio()")
 , person("Rob", "Hyndman", email="Rob.Hyndman@monash.edu", role="ctb",
     	                    comment = c("residuals() & fitted()", ORCID = "0000-0002-2140-5352"))
 )
Description: Maximum likelihood estimation of the parameters of a fractionally
   differenced ARIMA(p,d,q) model (Haslett and Raftery, Appl.Statistics, 1989);
   including inference and basic methods.  Some alternative algorithms to estimate "H".
Imports: stats
Suggests: longmemo, forecast, urca
License: GPL (>= 2)
URL: https://github.com/mmaechler/fracdiff
BugReports: https://github.com/mmaechler/fracdiff/issues
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-01-20 17:02:30 UTC; maechler
Author: Martin Maechler [aut, cre] (<https://orcid.org/0000-0002-8685-9910>),
  Chris Fraley [ctb, cph] (S original; Fortran code),
  Friedrich Leisch [ctb] (R port,
    <https://orcid.org/0000-0001-7278-1983>),
  Valderio Reisen [ctb] (fdGPH() & fdSperio()),
  Artur Lemonte [ctb] (fdGPH() & fdSperio()),
  Rob Hyndman [ctb] (residuals() & fitted(),
    <https://orcid.org/0000-0002-2140-5352>)
Maintainer: Martin Maechler <maechler@stat.math.ethz.ch>
Repository: CRAN
Date/Publication: 2020-01-24 17:30:05 UTC

## r-cran-fracdiff 1.4-2

=== debian/changelog ===
r-cran-fracdiff (1.4-2-1build1) eoan; urgency=medium

  * No-change rebuild against r-base 3.6

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jun 2019 20:11:14 +0000

r-cran-fracdiff (1.4-2-1) unstable; urgency=medium

  * Initial release (closes: ##925131)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Mar 2019 08:21:42 +0100

=== debian/control ===
Source: r-cran-fracdiff
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff.git
Homepage: https://cran.r-project.org/package=fracdiff

Package: r-cran-fracdiff
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fractionally differenced ARIMA aka ARFIMA(p,d,q) models
 Maximum likelihood estimation of the parameters of a
 fractionally differenced ARIMA(p,d,q) model (Haslett and
 Raftery, Appl.Statistics, 1989).

## r-cran-fracdiff 1.5-1

=== debian/changelog ===
r-cran-fracdiff (1.5-1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 10:53:09 +0100

r-cran-fracdiff (1.5-0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 10 Dec 2019 11:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff.git
 Homepage: https://cran.r-project.org/package=fracdiff

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/fracdiff_([-\d.]*)\.tar\.gz

## r-cran-fracdiff 1.5-2

=== debian/changelog ===
r-cran-fracdiff (1.5-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 11:42:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: r-cran-fracdiff
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-r,
-               r-base-dev
-Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff.git
 Homepage: https://cran.r-project.org/package=fracdiff
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-fracdiff
 Architecture: any

## r-cran-fracdiff 1.5-3

=== debian/changelog ===
r-cran-fracdiff (1.5-3-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 14:31:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-fracdiff.git
 Homepage: https://cran.r-project.org/package=fracdiff
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-forecast,
        r-cran-urca
Restrictions: allow-stderr
